'
' =============================================================================
' QFileAssociation           April 2004                     by Jacques PHILIPPE
'
'             Association of an Executable to a File Extension
'                 with Possibility to restore the Old one
' Demo                                                       Version 0.0.1 beta
' =============================================================================
'        *****  WITH NO WARRANTY. USE AT YOUR OWN RISK. I USE IT  *****
' =============================================================================
'
' frmSetFileAssociation    Gui Application
'
$Include "QFileAssociation.Inc"
'
$ESCAPECHARS ON
$TYPECHECK ON
$INCLUDE "RAPIDQ.INC"
'
$DEFINE JUMPOVER
'
Declare Sub OnClose_frmSetFileAssociation
Declare Sub OnClic_AnyMenu (Sender As QMenuItem)
'
Create frmSetFileAssociation As QForm
    Center
    Width = 1000
    height = 1000
    Caption = "frmSetFileAssociation"
    AutoScroll = False
    OnClose = OnClose_frmSetFileAssociation
    Create rchWin AS QRichEdit  ' will disply the received datas
        Align = 5
        Font.Name = "courier new"
        Font.Size = 12
        Font.Color = &H800000
        ReadOnly = True
        WordWrap = False
        ScrollBars = ssBoth
        HideSelection = False
        PlainText = True
        Text = Chr$(10) & "   *** NOTHING DONE YET ! USE THE MENU ITEMS ***"
    End Create
    Create mnuMain AS QMAINMENU
        Create mnuSimpleSet AS QMENUITEM
            Caption = "&SIMPLE_SET  "
            OnClick = OnClic_AnyMenu
        End Create
        Create mnuSetWithRestore AS QMENUITEM
            Caption = "  &SET_WITH_RESTORE  "
            OnClick = OnClic_AnyMenu
        End Create
        Create mnuRestore AS QMENUITEM
            Caption = "  &RESTORE  "
            OnClick = OnClic_AnyMenu
        End Create
        Create mnuShowRelatedKeysAndValues AS QMENUITEM
            Caption = "  &SHOW_RELATED_KEYS_AND_VALUES  "
            OnClick = OnClic_AnyMenu
        End Create
        Create mnuClear AS QMENUITEM
            Caption = "  &CLEAR  "
            OnClick = OnClic_AnyMenu
        End Create
    End Create
End Create
'
' *************************************
frmSetFileAssociation.Show
' *************************************
Dim myFA As QFileAssociation
'
'
' *************************************
frmSetFileAssociation.Visible = False
frmSetFileAssociation.ShowModal
' *************************************
'
Sub OnClose_frmSetFileAssociation
    Application.Terminate
    End
End Sub
'
Sub GPrint (sText As String)
    rchWin.Addstring (sText)
End Sub
'
Sub OnClic_AnyMenu (Sender)
    DefInt iResult
    Select Case Sender.Handle
        Case mnuSimpleSet.Handle
            iResult = myFA.SetFileAssociation (".Bas", "C:\\Windows\\Notepad.Exe %1")
            Gprint (myFA.GetFileAssociationErrorAsString (iResult))
            GPrint ("\n      *** SIMPLE SET FINISHED ***\n")
        Case mnuSetWithRestore.Handle
            myFA.NewDefaultDescriptorValue = "BAS_JFE"
            myFA.BU_Prefix = "YOUR_MARK"
            iResult = myFA.SetFileAssociationAndSaveOld (".bas", "C:\\Rapid-Q\\JFE\\JFE.EXE %1")
            Gprint (myFA.GetFileAssociationErrorAsString (iResult))
            GPrint ("\n      *** SET FINISHED ***\n")
        case mnuRestore.Handle
            myFA.BU_Prefix = "YOUR_MARK"            
            iResult = myFA.RestoreOldFA (".Bas")
            Gprint (myFA.GetFileAssociationErrorAsString (iResult))
            GPrint ("\n      *** RESTORE FINISHED ***\n")
        Case mnuShowRelatedKeysAndValues.Handle
            GPrint (myFA.ShowRelatedKeysAndValues (".Bas"))
            GPrint ("\n      *** SHOW FINISHED ***\n")
        Case mnuClear.Handle
            rchWin.Clear
    End Select
End Sub
'
